/*
 * SPDX-FileCopyrightText: 2021 Espressif Systems (Shanghai) CO LTD
 *
 * SPDX-License-Identifier: Unlicense OR CC0-1.0
 */

#ifndef __BT_APP_HF_H__
#define __BT_APP_HF_H__

#include <stdint.h>
#include "esp_hf_client_api.h"


#define BT_HF_TAG               "BT_HF"

/**
 * @brief     callback function for HF client
 */
void bt_app_hf_client_cb(esp_hf_client_cb_event_t event, esp_hf_client_cb_param_t *param);

void Get_Iphone_Fitter_callsts(void );

int hf_conn_handler(void );
int hf_disc_handler(void );
int hf_conn_audio_handler(void );
int hf_disc_audio_handler(void );
int hf_query_op_handler(void );
int hf_answer_handler(void );
int hf_reject_handler(void );
int hf_dial_handler(void );
int hf_redial_handler(void );
int hf_dial_mem_handler(void );
int hf_start_vr_handler(void );
int hf_stop_vr_handler(void );
//int hf_query_call_handler(void );



#endif /* __BT_APP_HF_H__*/
